Get analytics overview
curl --request GET \
--url https://api.engagefabric.com/api/v1/analytics/overviewimport requests
url = "https://api.engagefabric.com/api/v1/analytics/overview"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.engagefabric.com/api/v1/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"period": {
"start": "<string>",
"end": "<string>",
"days": 123
},
"overview": {
"totalPlayers": 123,
"activePlayers": 123,
"newPlayers": 123,
"churnedPlayers": 123,
"averageLevel": 123,
"totalXpGranted": 123,
"questsCompleted": 123,
"eventsProcessed": 123
},
"changes": {
"totalPlayers": {
"value": 123,
"percentage": 123
},
"activePlayers": {
"value": 123,
"percentage": 123
},
"newPlayers": {
"value": 123,
"percentage": 123
},
"questsCompleted": {
"value": 123,
"percentage": 123
},
"eventsProcessed": {
"value": 123,
"percentage": 123
}
},
"trends": {
"labels": [
"<string>"
],
"players": [
123
],
"xp": [
123
],
"quests": [
123
],
"events": [
123
]
}
}Analytics
Get analytics overview
Returns key metrics, period comparisons, and trend data for the analytics dashboard.
GET
/
api
/
v1
/
analytics
/
overview
Get analytics overview
Query Parameters
Project ID to get analytics for
Example:
"550e8400-e29b-41d4-a716-446655440000"
Time period for analytics
Available options:
today, 7d, 30d, 90d, all ⌘I
